com.pixelmed.dicom

## Class StringAttributeAffectedBySpecificCharacterSet

- java.lang.Object
- - com.pixelmed.dicom.Attribute
  - - com.pixelmed.dicom.StringAttribute
    - - com.pixelmed.dicom.StringAttributeAffectedBySpecificCharacterSet

Direct Known Subclasses:
  LongStringAttribute, PersonNameAttribute, ShortStringAttribute

    public abstract class StringAttributeAffectedBySpecificCharacterSet
    extends StringAttribute

An abstract class specializing `Attribute` for the family of string attributes that support different specific character sets.

### Field Summary

### Fields inherited from class com.pixelmed.dicom.StringAttribute

`specificCharacterSet`

### Fields inherited from class com.pixelmed.dicom.Attribute

`valueLength, valueMultiplicity`

### Constructor Summary

Constructors
`protected` `StringAttributeAffectedBySpecificCharacterSet(AttributeTag t)`
`protected` `StringAttributeAffectedBySpecificCharacterSet(AttributeTag t, long vl, DicomInputStream i, SpecificCharacterSet specificCharacterSet)`
`protected` `StringAttributeAffectedBySpecificCharacterSet(AttributeTag t, SpecificCharacterSet specificCharacterSet)`

### Method Summary

### Methods inherited from class com.pixelmed.dicom.StringAttribute

`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getByteValues, getDoubleValues, getFloatValues, getIntegerValues, getLongValues, getOriginalStringValues, getPadByte, getPaddedVL, getShortValues, getSpecificCharacterSet, getStringValues, removeValues, setSpecificCharacterSet, toString, translateByteArrayToString, translateStringToByteArray, write`

### Methods inherited from class com.pixelmed.dicom.Attribute

`getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getLongValues, getLongValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVR, getVRAsString, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, setValues, toString, writeBase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringAttributeAffectedBySpecificCharacterSet

    protected StringAttributeAffectedBySpecificCharacterSet(AttributeTag t)

Parameters:
  `t` -

#### StringAttributeAffectedBySpecificCharacterSet

    protected StringAttributeAffectedBySpecificCharacterSet(AttributeTag t,
                                                 SpecificCharacterSet specificCharacterSet)

Parameters:
  `t` -
  `specificCharacterSet` -

#### StringAttributeAffectedBySpecificCharacterSet

    protected StringAttributeAffectedBySpecificCharacterSet(AttributeTag t,
                                                 long vl,
                                                 DicomInputStream i,
                                                 SpecificCharacterSet specificCharacterSet)
                                                     throws java.io.IOException,
                                                            DicomException

Parameters:
  `t` -
  `vl` -
  `i` -
  `specificCharacterSet` -
Throws:
  `java.io.IOException`
  `DicomException`